#include <stdio.h>
#include <stdlib.h>

int verseny(int a[],int k,int n,int i){
    if(k==0){
        int x=0;
        for(i;i<=n;i++){
            x=x+a[i];
        }
        printf("\n%d",x);
        return x;
    }
    int x=0;
    int j;
    for(i;i<n;i++){
        for(j=0;j<n;j++){
            x=x+verseny(a,k-1,j,i);
        }
    }
    return x;


}

int main()
{
    int n,k,i,x;
    scanf("%d %d",&n,&k);
    int a[n];
    for(i=0;i<n;i++){
        scanf("%d",&a[i]);
    }
    x=verseny(a,k,n-1,0);
    printf("%d",x);
}